import { Component, ReactNode } from 'react';
import { AlertTypes } from './types';
export interface IScrollAlertProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'title'> {
    type?: AlertTypes;
    outline?: boolean;
    loading?: boolean;
    scrollInterval?: number;
    onClose?: () => void;
    closed?: boolean;
}
interface IState {
    items: ReactNode[];
    renderItems: ReactNode[];
    preChildren: ReactNode;
    transitionDuration: number;
    containerHeight: number;
    activeIndex: number;
}
export declare class ScrollAlert extends Component<IScrollAlertProps, IState> {
    static defaultProps: {
        type: string;
        loading: boolean;
        scrollInterval: number;
    };
    constructor(props: any);
    timeoutId: any;
    firstChildHeight: number;
    componentDidMount(): void;
    componentWillUnmount(): void;
    scrollHandler: () => void;
    stopScroll: () => void;
    continueScroll: () => void;
    resetChildren: () => void;
    clearTimer: () => void;
    private onCloseItemHandler;
    onFirstChildRef: (itemInstance: any) => void;
    get renderItem(): JSX.Element[];
    render(): JSX.Element;
}
export default ScrollAlert;
