/// <reference types="react" />
import Popover from '../../popover';
import { CascaderMenuClickHandler, ICascaderItem, CascaderValue, CascaderMenuHoverHandler, ICascaderBaseProps, CascaderItemSelectionState } from '../types';
import { II18nLocaleCascader } from '../../i18n';
export interface IMenuContentCommonProps {
    popover: Popover;
    options: ICascaderItem[];
    expandTrigger?: 'click' | 'hover';
    i18n: II18nLocaleCascader;
    scrollable: boolean;
    scrollLoad: (parent: ICascaderItem | null) => Promise<void>;
    loadChildrenOnScroll: boolean;
    onOptionToggle: (node: ICascaderItem, checked: boolean) => void;
    onOptionHover: CascaderMenuHoverHandler;
    onOptionClick: CascaderMenuClickHandler;
    className?: string;
    loading: string[];
    selectionMap: Map<string, CascaderItemSelectionState>;
    renderItemContent?: ICascaderBaseProps['renderItemContent'];
    getItemTooltip?: ICascaderBaseProps['getItemTooltip'];
    renderList?: ICascaderBaseProps['renderList'];
}
export interface IMenuContentMultipleProps extends IMenuContentCommonProps {
    multiple: true;
    value: Array<CascaderValue[]>;
}
export interface IMenuContentSingleProps extends IMenuContentCommonProps {
    multiple: false;
    value: CascaderValue[];
}
export declare type IMenuContentProps = IMenuContentMultipleProps | IMenuContentSingleProps;
declare const _default: import("react").ComponentType<Omit<IMenuContentProps, "popover">>;
export default _default;
