import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import Tag from './Tag';
import { getPathValue } from '../path-fns';
import { simplify } from '../simplify';
function CascaderTagList(props) {
    var list = props.list, renderValue = props.renderValue, selectionMap = props.selectionMap, simplifyPaths = props.simplifyPaths, onRemove = props.onRemove;
    var paths = simplifyPaths ? simplify(list, selectionMap) : list;
    return (_jsx(_Fragment, { children: paths.map(function (path) {
            var removeCallback = function (e) {
                e.stopPropagation();
                onRemove(path[path.length - 1]);
            };
            return (_jsx(Tag, { path: path, onRemove: removeCallback, renderValue: renderValue }, getPathValue(path)));
        }) }, void 0));
}
export default CascaderTagList;
