import { Component } from 'react';
import { CascaderItemSelectionState, ICascaderItem } from '../types';
import { ISearchInputImperativeHandlers } from './Search';
import { ICascaderTagsProps } from './Tags';
import { ICascaderBaseTriggerProps } from './BaseTrigger';
interface ITagsTriggerProps extends ICascaderBaseTriggerProps {
    onRemove: (node: ICascaderItem) => void;
    selectionMap: Map<string, CascaderItemSelectionState>;
    renderTags?: (props: Pick<ICascaderTagsProps, 'list' | 'renderValue' | 'onRemove'>) => React.ReactNode;
    simplifyPaths: boolean;
}
export declare class TagsTrigger extends Component<ITagsTriggerProps> {
    static defaultProps: {
        selectedPaths: any[];
    };
    searchInputRef: import("react").RefObject<ISearchInputImperativeHandlers>;
    onKeywordChange: React.ChangeEventHandler<HTMLInputElement>;
    focus(): void;
    render(): JSX.Element;
}
export {};
