import { Component } from 'react';
import Panel from './Panel';
export interface ICollapsePropsAccordion extends ICollapsePropsBase {
    accordion: true;
    activeKey?: string;
    onChange: (value: string | null) => void;
}
export interface ICollapsePropsMultiple extends ICollapsePropsBase {
    accordion?: false;
    activeKey?: string[];
    onChange: (value: string[]) => void;
}
interface ICollapsePropsBase {
    bordered?: boolean;
    panelTitleBackground?: string;
    className?: string;
}
export declare type ICollapseProps = ICollapsePropsAccordion | ICollapsePropsMultiple;
export declare class Collapse extends Component<ICollapseProps> {
    static defaultProps: {
        bordered: boolean;
        panelTitleBackground: string;
        accordion: boolean;
    };
    static Panel: typeof Panel;
    render(): JSX.Element;
    onChange: (key: string, active: boolean) => void;
}
export default Collapse;
