import { __assign, __extends } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Component } from 'react';
import cx from 'classnames';
import { AnimateHeight } from '../utils/component/AnimateHeight';
import LazyMount from '../utils/component/LazyMount';
import { EASE_IN_OUT } from '../utils/timingFunctions';
import { DisabledContext } from '../disabled';
import isNil from '../utils/isNil';
var NO_BOTTOM_BORDER = {
    borderBottomWidth: 0,
    borderBottomColor: 'rgba(255, 255, 255, 0)',
    transition: "border-bottom-width 160ms " + EASE_IN_OUT + ", border-bottom-color 160ms " + EASE_IN_OUT,
};
var NO_STYLE = {};
var CollapsePanel = (function (_super) {
    __extends(CollapsePanel, _super);
    function CollapsePanel() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            animateAppear: !_this.props.active,
        };
        _this.toggle = function () {
            var _a = _this.props, onChange = _a.onChange, panelKey = _a.panelKey, active = _a.active, _b = _a.disabled, disabled = _b === void 0 ? _this.context.value : _b;
            if (!disabled && !isNil(panelKey)) {
                onChange === null || onChange === void 0 ? void 0 : onChange(panelKey, !active);
            }
        };
        return _this;
    }
    CollapsePanel.prototype.render = function () {
        var _a = this.props, children = _a.children, title = _a.title, style = _a.style, active = _a.active, _b = _a.disabled, disabled = _b === void 0 ? this.context.value : _b, showArrow = _a.showArrow, className = _a.className, isLast = _a.isLast, bordered = _a.bordered, panelTitleBackground = _a.panelTitleBackground;
        var animateAppear = this.state.animateAppear;
        var isBorderedLast = bordered && isLast;
        var titleStyle = isBorderedLast && !active ? NO_BOTTOM_BORDER : NO_STYLE;
        var contentBoxStyle = isBorderedLast || !active ? NO_BOTTOM_BORDER : NO_STYLE;
        return (_jsxs("div", __assign({ className: cx('zent-collapse-panel', className, {
                'zent-collapse-panel--has-arrow': showArrow,
                'zent-collapse-panel--active': active,
                'zent-collapse-panel--inactive': !active,
                'zent-collapse-panel--disabled': disabled,
            }), style: style, "data-zv": '9.12.16' }, { children: [_jsxs("div", __assign({ className: cx('zent-collapse-panel__title', {
                        'zent-collapse-panel__title--bg-none': panelTitleBackground === 'none',
                        'zent-collapse-panel__title--bg-default': panelTitleBackground === 'default',
                    }), style: titleStyle, onClick: this.toggle, "data-zv": '9.12.16' }, { children: [showArrow && _jsx(Arrow, { className: "zent-collapse-panel__arrow" }, void 0), title] }), void 0), _jsx(LazyMount, __assign({ mount: active }, { children: _jsx(AnimateHeight, __assign({ appear: animateAppear, duration: 160, height: active ? 'auto' : 0, easing: EASE_IN_OUT, className: "zent-collapse-panel__content-box", style: contentBoxStyle }, { children: _jsx("div", __assign({ className: "zent-collapse-panel__content", "data-zv": '9.12.16' }, { children: children }), void 0) }), void 0) }), void 0)] }), void 0));
    };
    CollapsePanel.defaultProps = {
        showArrow: true,
    };
    CollapsePanel.contextType = DisabledContext;
    return CollapsePanel;
}(Component));
export { CollapsePanel };
function Arrow(_a) {
    var className = _a.className;
    return (_jsx("svg", __assign({ width: "16", height: "10", className: className, xmlns: "http://www.w3.org/2000/svg", "data-zv": '9.12.16' }, { children: _jsx("path", { d: "M8 6.77L14.37.403l1.413 1.414-6.369 6.37h.002L8 9.601.223 1.822 1.637.408 8 6.771z", fillRule: "evenodd", "data-zv": '9.12.16' }, void 0) }), void 0));
}
export default CollapsePanel;
