import createElement from '../../utils/dom/createElement';
var checkboardCache = {};
export function render(c1, c2, size, ServerCanvas) {
    if (typeof document === 'undefined' && !ServerCanvas)
        return null;
    var canvas = ServerCanvas ? new ServerCanvas() : createElement('canvas');
    canvas.width = size * 2;
    canvas.height = size * 2;
    var ctx = canvas.getContext('2d');
    if (!ctx)
        return null;
    ctx.fillStyle = c1;
    ctx.fillRect(0, 0, canvas.width, canvas.height);
    ctx.fillStyle = c2;
    ctx.fillRect(0, 0, size, size);
    ctx.translate(size, size);
    ctx.fillRect(0, 0, size, size);
    return canvas.toDataURL();
}
export function get(c1, c2, size, serverCanvas) {
    var key = c1 + "-" + c2 + "-" + size + (serverCanvas ? '-server' : '');
    var checkboard = render(c1, c2, size, serverCanvas);
    if (checkboardCache[key]) {
        return checkboardCache[key];
    }
    checkboardCache[key] = checkboard;
    return checkboard;
}
