import { PureComponent } from 'react';
import { IDisabledContext } from '../disabled';
export declare type PresetColors = string[];
export declare type ColorPickerType = 'default' | 'simple';
export interface IColorPickerProps {
    color: string;
    showAlpha?: boolean;
    type?: ColorPickerType;
    presetColors?: PresetColors;
    onChange?: (color: string) => any;
    className?: string;
    wrapperClassName?: string;
    disabled?: boolean;
}
export declare class ColorPicker extends PureComponent<IColorPickerProps> {
    state: {
        popVisible: boolean;
    };
    static defaultProps: {
        showAlpha: boolean;
        onChange(): void;
        className: string;
        wrapperClassName: string;
        type: string;
        presetColors: string[];
    };
    static ColorBoard: import("react").ComponentClass<any, any>;
    static contextType: import("react").Context<IDisabledContext>;
    context: IDisabledContext;
    get disabled(): boolean;
    handleChange: (color: any) => void;
    handleVisibleChange: (visible: any) => void;
    render(): JSX.Element;
}
export default ColorPicker;
