import { __assign, __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import cx from 'classnames';
import { useCallback, useContext, useMemo, useRef, useState } from 'react';
import PickerPopover from './PickerPopover';
import { SingleInputTrigger } from './PickerTrigger';
import PickerContext from '../context/PickerContext';
import PanelContext from '../context/PanelContext';
import useMergedProps from '../hooks/useMergedProps';
import useNormalizeDisabledDate from '../hooks/useNormalizeDisabledDate';
import useSinglePopoverVisible from '../hooks/useSinglePopoverVisible';
import { useEventCallbackRef } from '../../utils/hooks/useEventCallbackRef';
import pick from '../../utils/pick';
import { triggerCommonProps, INPUT_WIDTH } from '../constants';
var PanelContextProvider = PanelContext.Provider;
export function SinglePicker(_a) {
    var value = _a.value, onChange = _a.onChange, onOpen = _a.onOpen, onClose = _a.onClose, disabledDate = _a.disabledDate, restProps = __rest(_a, ["value", "onChange", "onOpen", "onClose", "disabledDate"]);
    var restPropsRef = useRef(restProps);
    restPropsRef.current = restProps;
    var _b = restPropsRef.current, defaultDate = _b.defaultDate, format = _b.format, name = _b.name, width = _b.width, placeholder = _b.placeholder, className = _b.className, valueType = _b.valueType, disabled = _b.disabled, canClear = _b.canClear, openPanel = _b.openPanel, PanelComponent = _b.PanelComponent, restPanelProps = __rest(_b, ["defaultDate", "format", "name", "width", "placeholder", "className", "valueType", "disabled", "canClear", "openPanel", "PanelComponent"]);
    var _c = useContext(PickerContext), getSelectedValue = _c.getSelectedValue, getCallbackValue = _c.getCallbackValue, getInputText = _c.getInputText;
    var onChangeRef = useEventCallbackRef(onChange);
    var _d = useMergedProps({
        value: value,
        format: format,
        defaultDate: defaultDate,
    }), selected = _d.selected, parseValue = _d.parseValue, setSelected = _d.setSelected, defaultPanelDate = _d.defaultPanelDate;
    var _e = useSinglePopoverVisible(parseValue, setSelected, onOpen, onClose, disabled, openPanel), panelVisible = _e.panelVisible, setPanelVisible = _e.setPanelVisible, onVisibleChange = _e.onVisibleChange;
    var disabledPanelDate = useNormalizeDisabledDate(format, disabledDate);
    var _f = useState(), hoverDate = _f[0], setHoverDate = _f[1];
    var onSelected = useCallback(function (val, finish) {
        var _a;
        if (finish === void 0) { finish = true; }
        setSelected((getSelectedValue === null || getSelectedValue === void 0 ? void 0 : getSelectedValue(val)) || null);
        if (finish) {
            (_a = onChangeRef.current) === null || _a === void 0 ? void 0 : _a.call(onChangeRef, (getCallbackValue === null || getCallbackValue === void 0 ? void 0 : getCallbackValue(val)) || null);
            setPanelVisible(openPanel !== null && openPanel !== void 0 ? openPanel : false);
        }
    }, [
        getSelectedValue,
        getCallbackValue,
        onChangeRef,
        openPanel,
        setSelected,
        setPanelVisible,
    ]);
    var onClearInput = useCallback(function (evt) {
        var _a;
        evt.stopPropagation();
        (_a = onChangeRef.current) === null || _a === void 0 ? void 0 : _a.call(onChangeRef, null);
    }, [onChangeRef]);
    var text = useMemo(function () { return getInputText === null || getInputText === void 0 ? void 0 : getInputText(selected); }, [selected, getInputText]);
    var trigger = useMemo(function () {
        var triggerProps = pick(restPropsRef.current, triggerCommonProps);
        return (_jsx("div", __assign({ "data-zv": '9.12.16' }, { children: _jsx(SingleInputTrigger, __assign({}, triggerProps, { value: value, disabled: disabled, text: text, panelVisible: panelVisible, onClearInput: onClearInput }), void 0) }), void 0));
    }, [text, value, panelVisible, restPropsRef, disabled, onClearInput]);
    var content = useMemo(function () {
        return (_jsx("div", __assign({ className: "zent-datepicker-panel", "data-zv": '9.12.16' }, { children: _jsx(PanelComponent, __assign({}, restPanelProps, { selected: selected, hoverDate: hoverDate, defaultPanelDate: defaultPanelDate, onSelected: onSelected, disabledPanelDate: disabledPanelDate }), void 0) }), void 0));
    }, [
        selected,
        hoverDate,
        defaultPanelDate,
        restPanelProps,
        disabledPanelDate,
        onSelected,
        PanelComponent,
    ]);
    return (_jsx("div", __assign({ className: cx('zent-datepicker', className), "data-zv": '9.12.16' }, { children: _jsx(PanelContextProvider, __assign({ value: { onHover: setHoverDate } }, { children: _jsx(PickerPopover, { panelVisible: panelVisible, onVisibleChange: onVisibleChange, trigger: trigger, content: content }, void 0) }), void 0) }), void 0));
}
SinglePicker.defaultProps = {
    canClear: true,
    width: INPUT_WIDTH,
};
export default SinglePicker;
