import { Component } from 'react';
import { SingleDate, RangeDate } from '../date-picker';
export declare type DateRangeQuickPickerValueType = 'string' | 'number' | 'date';
export declare type DateRangeQuickPickerPresetValue = number | RangeDate;
export declare type DateRangeQuickPickerChangeCallback = (value: RangeDate, choosePresetValue?: DateRangeQuickPickerPresetValue) => void;
export interface IDateRangeQuickPickerPreset {
    text: string;
    value: DateRangeQuickPickerPresetValue;
}
export interface IDateRangeQuickPickerProps {
    onChange: DateRangeQuickPickerChangeCallback;
    value: RangeDate;
    valueType?: DateRangeQuickPickerValueType;
    format: string;
    chooseDays?: DateRangeQuickPickerPresetValue;
    chosenDays?: DateRangeQuickPickerPresetValue;
    preset?: IDateRangeQuickPickerPreset[];
    defaultSelectedPresetIndex?: number;
    min?: SingleDate;
    max?: SingleDate;
    className?: string;
}
export declare class DateRangeQuickPicker extends Component<IDateRangeQuickPickerProps> {
    static defaultProps: {
        className: string;
        value: any[];
        valueType: string;
        format: string;
        preset: {
            value: number;
        }[];
        min: string;
        max: string;
    };
    constructor(props: IDateRangeQuickPickerProps);
    handleTimeChange: (value: RangeDate) => void;
    handleChosenDays: (num: DateRangeQuickPickerPresetValue) => void;
    render(): JSX.Element;
}
export default DateRangeQuickPicker;
