/// <reference types="react" />
export declare type DrawerPlacement = 'left' | 'right' | 'top' | 'bottom';
export interface IDrawerBackdrop {
    mask: boolean;
    visible: boolean;
    maskClosable: boolean;
    onClose: () => void;
}
interface IDrawerContentCommonProps {
    onClose: () => void;
    visible: boolean;
    mask: boolean;
    title: React.ReactNode;
    footer: React.ReactNode;
    onExited: () => void;
    closeBtn: React.ReactNode;
}
interface IHorizontalDrawerContentProps extends IDrawerContentCommonProps {
    width: string | number;
    placement: 'left' | 'right';
}
interface IVerticalDrawerContentProps extends IDrawerContentCommonProps {
    height: string | number;
    placement: 'top' | 'bottom';
}
export declare type DrawerContentProps = IHorizontalDrawerContentProps | IVerticalDrawerContentProps;
interface IDrawerCommonProps {
    onClose?: () => void;
    className?: string;
    visible?: boolean;
    maskClosable?: boolean;
    closeOnESC?: boolean;
    mask?: boolean;
    title?: React.ReactNode;
    footer?: React.ReactNode;
    closeBtn?: React.ReactNode;
}
interface IHorizontalDrawerProps extends IDrawerCommonProps {
    width?: string | number;
    placement: 'left' | 'right';
}
interface IVerticalDrawerProps extends IDrawerCommonProps {
    height?: string | number;
    placement: 'top' | 'bottom';
}
export declare type DrawerProps = IHorizontalDrawerProps | IVerticalDrawerProps;
export {};
