import { IFormContext } from './context';
import { $FieldSetValue, FieldSetModel, ModelRef } from './models';
import { IValidators } from './validate';
import { UnknownFieldSetModelChildren } from './utils';
export declare type IUseFieldSet<T extends UnknownFieldSetModelChildren> = [
    IFormContext,
    FieldSetModel<T>
];
export declare function useFieldSet<T extends UnknownFieldSetModelChildren>(field: string | ModelRef<$FieldSetValue<T>, any, FieldSetModel<T>>, validators?: IValidators<$FieldSetValue<T>>): IUseFieldSet<T>;
export declare function useFieldSet<T extends UnknownFieldSetModelChildren>(field: FieldSetModel<T>): IUseFieldSet<T>;
export declare function useNamedChildModel<T extends UnknownFieldSetModelChildren, K extends keyof T = keyof T>(fieldSet: FieldSetModel<T>, name: K): T[K];
