import { PureComponent } from 'react';
import { IGridOnChangeConfig, GridPaginationType, IGridPageInfo } from './types';
import { PaginationChangeHandler } from '../pagination/impl/BasePagination';
export interface IGridFooterProps {
    prefix: string;
    pageInfo: IGridPageInfo;
    paginationType: GridPaginationType;
    onChange: (conf: IGridOnChangeConfig) => any;
    onPaginationChange: (pageSize: number, current: number) => any;
    batchComponents: React.ReactNode;
}
declare class Footer extends PureComponent<IGridFooterProps> {
    hasPagination(props?: IGridFooterProps): boolean;
    getDefaultPagination(props?: IGridFooterProps): {
        current: number;
        pageSize: number;
        total?: number;
        pageSizeOptions?: import("../pagination/components/PageSizeChanger").PaginationPageSizeOption[];
    };
    handlePageChange: PaginationChangeHandler;
    render(): JSX.Element;
}
export default Footer;
