import { PureComponent } from 'react';
import { IGridInnerColumn } from './Grid';
import { GridRowClassNameType, IGridRowClickHandler, IGridInnerFixedType, IGridScrollDelta } from './types';
interface IGridRowProps<Data> {
    data: Data;
    columns: Array<IGridInnerColumn<Data>>;
    index: number;
    rowIndex: number;
    prefix: string;
    rowClassName?: GridRowClassNameType<Data>;
    mouseOverRowIndex: number;
    onRowClick: IGridRowClickHandler<Data>;
    onRowMouseEnter: (index: number) => void;
    fixed?: IGridInnerFixedType;
    hasFixedColumn: boolean;
    scroll: IGridScrollDelta;
    fixedColumnsBodyRowsHeight: Array<string | number>;
    row?: React.ComponentType;
    rowProps?: (data: Data, index: number) => any;
    disableHoverHighlight: boolean;
}
declare class Row<Data> extends PureComponent<IGridRowProps<Data>> {
    onMouseEnter: () => void;
    render(): JSX.Element;
}
export default Row;
