export declare enum LayoutBreakPoint {
    fhd = "(min-width: 1920px)",
    xxl = "(min-width: 1600px)",
    xl = "(min-width: 1200px)",
    lg = "(min-width: 992px)",
    md = "(min-width: 768px)",
    sm = "(min-width: 576px)",
    xs = "(max-width: 575px)"
}
export declare type LayoutBreakPointName = keyof typeof LayoutBreakPoint;
export interface ILayoutResponsiveValue extends Partial<Record<LayoutBreakPointName, number>> {
    fallback: number;
}
export interface ILayoutConfig {
    colGutter: number | ILayoutResponsiveValue;
    rowGutter: number | ILayoutResponsiveValue;
}
