/// <reference types="react" />
import CommonMenu from './CommonMenu';
export interface ISubMenuProps {
    key?: string;
    title: React.ReactNode;
    disabled?: boolean;
    overlayClassName?: string;
    className?: string;
    isInline?: boolean;
    onClick?: (e: React.MouseEvent, index: string) => void;
    specKey?: string;
    onSubMenuClick?: (index?: string | number) => void;
    toggleExpand?: (index: string) => void;
    depth?: number;
    expandKeys?: string[];
    inlineIndent?: number;
    selectedKey?: string;
    handleSelect?: (specKey: string) => void;
}
export interface ISubMenuState {
    subMenuVisible: boolean;
}
export default class SubMenu extends CommonMenu<ISubMenuProps, ISubMenuState> {
    static defaultProps: {
        className: string;
    };
    leaveTimer: number;
    enterTimer: number;
    state: {
        subMenuVisible: boolean;
    };
    getEventHanders: (disabled: any, isInline: any) => {};
    handleClick: (e: any, index: any) => void;
    titleClickHandler: (e: any) => void;
    onMouseEnter: () => void;
    onMouseLeave: () => void;
    renderInlineChild: (component: any, index: any) => import("react").DetailedReactHTMLElement<any, HTMLElement>;
    renderContent(): JSX.Element;
    render(): JSX.Element;
}
