import { ReactNode, CSSProperties } from 'react';
import { NoticePositions, remove } from './Container';
export interface INoticeProps {
    title: string;
    className?: string;
    style?: CSSProperties;
    type?: 'info' | 'success' | 'warning' | 'error';
    closable?: boolean;
    onClose?: () => void;
    autoClose?: boolean;
    timeout?: number;
    children?: ReactNode;
    position?: NoticePositions;
}
export declare function Notice({ children, title, type, closable, onClose, className, style, }: INoticeProps): JSX.Element;
export declare namespace Notice {
    var push: (node: ReactNode) => string;
    var close: typeof remove;
}
export default Notice;
