import getViewportSize from '../../utils/dom/getViewportSize';
import { BottomLeft } from './bottom-left';
import { BottomRight } from './bottom-right';
import { TopLeft } from './top-left';
import { TopRight } from './top-right';
var positionMap = {
    BottomLeft: BottomLeft,
    BottomRight: BottomRight,
    TopLeft: TopLeft,
    TopRight: TopRight,
};
export var AutoTopLeft = function (props) {
    var contentRect = props.contentRect, cushion = props.cushion, anchorRect = props.anchorRect;
    var viewport = getViewportSize();
    var horizontal;
    var vertical;
    if (anchorRect.left + contentRect.width > viewport.width &&
        anchorRect.right - contentRect.width > 0) {
        horizontal = 'Right';
    }
    else {
        horizontal = 'Left';
    }
    if (anchorRect.top - cushion - contentRect.height < 0 &&
        anchorRect.bottom + cushion + contentRect.height < viewport.height) {
        vertical = 'Bottom';
    }
    else {
        vertical = 'Top';
    }
    var key = "" + vertical + horizontal;
    return positionMap[key](props);
};
