/// <reference types="react" />
import { PopoverAnchorGetElementFn } from '../Anchor';
export interface IHoverTriggerCompatibleProps {
    fixMouseEventsOnDisabledChildren?: boolean;
}
export declare type IPopoverHoverTriggerContext = Required<IHoverTriggerCompatibleProps>;
export declare const PopoverHoverTriggerContext: import("react").Context<Required<IHoverTriggerCompatibleProps>>;
export interface IPopoverHoverTriggerChildProps {
    onMouseEnter?: (...args: any[]) => void;
    onMouseLeave?: (...args: any[]) => void;
}
export interface IPopoverHoverTriggerProps<ChildProps extends IPopoverHoverTriggerChildProps> extends IHoverTriggerCompatibleProps {
    hideDelay?: number;
    showDelay?: number;
    anchorOnly?: boolean;
    getElement?: PopoverAnchorGetElementFn;
    children?: string | number | React.ReactElement<ChildProps, any> | ((childProps: IPopoverHoverTriggerChildProps) => React.ReactNode);
}
export declare function PopoverHoverTrigger<ChildProps extends IPopoverHoverTriggerChildProps = IPopoverHoverTriggerChildProps>(props: IPopoverHoverTriggerProps<ChildProps>): JSX.Element;
export default PopoverHoverTrigger;
