/// <reference types="react" />
import PurePortal, { IPurePortalProps } from './PurePortal';
export interface IPortalProps extends Partial<IPurePortalProps> {
    visible?: boolean;
    layer?: string;
    onLayerReady?: (node: HTMLElement) => void;
    blockPageScroll?: boolean;
    closeOnESC?: boolean;
    closeOnClickOutside?: boolean;
    useLayerForClickAway?: boolean;
    onClose?: (e: KeyboardEvent | TouchEvent | MouseEvent) => void;
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export interface IPortalImperativeHandlers {
    contains(node: Node): boolean;
    purePortalRef: React.RefObject<PurePortal | undefined>;
    container: HTMLElement;
}
export declare const Portal: import("react").ForwardRefExoticComponent<IPortalProps & import("react").RefAttributes<IPortalImperativeHandlers>>;
export default Portal;
