import { __assign, __extends, __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import cx from 'classnames';
import { Component, createRef } from 'react';
import * as _sortableJS from 'sortablejs';
import reorder from '../utils/reorder';
var sortableJS = _sortableJS.default;
var Sortable = (function (_super) {
    __extends(Sortable, _super);
    function Sortable() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.containerRef = createRef();
        _this.initSortable = function () {
            var _a = _this.props, onMove = _a.onMove, onEnd = _a.onEnd, onChange = _a.onChange, filterClass = _a.filterClass, children = _a.children, rest = __rest(_a, ["onMove", "onEnd", "onChange", "filterClass", "children"]);
            var instance = _this.containerRef.current;
            if (!instance) {
                return;
            }
            var sortableOptions = __assign({ filter: filterClass ? "." + filterClass : '', ghostClass: 'zent-ghost', chosenClass: 'zent-chosen', dragClass: 'zent-drag', fallbackClass: 'zent-fallback', onMove: function (e, originalEvent) {
                    var onMove = _this.props.onMove;
                    if (onMove) {
                        return onMove(e, originalEvent);
                    }
                    if (filterClass && e.related.classList.contains(filterClass)) {
                        return false;
                    }
                    return true;
                }, onEnd: function (e) {
                    var _a = _this.props, items = _a.items, onEnd = _a.onEnd, onChange = _a.onChange;
                    onEnd && onEnd(e);
                    if (!items) {
                        return;
                    }
                    var oldIndex = e.oldIndex, newIndex = e.newIndex;
                    var nextIndex = Math.max(0, Math.min(newIndex, items.length - 1));
                    var newItems = reorder(items, oldIndex, nextIndex);
                    onChange && onChange(newItems);
                } }, rest);
            _this.sortable = sortableJS.create(instance, sortableOptions);
        };
        return _this;
    }
    Sortable.prototype.destroySortableInstance = function () {
        if (this.sortable) {
            this.sortable.destroy();
            this.sortable = null;
        }
    };
    Sortable.prototype.componentDidMount = function () {
        this.initSortable();
    };
    Sortable.prototype.componentWillUnmount = function () {
        this.destroySortableInstance();
    };
    Sortable.prototype.render = function () {
        var _a = this.props, className = _a.className, children = _a.children, tag = _a.tag;
        var classString = cx("zent-sortable", className);
        var Com = tag;
        return (_jsx(Com, __assign({ ref: this.containerRef, className: classString, "data-zv": "9.12.16" }, { children: children }), void 0));
    };
    Sortable.defaultProps = {
        tag: 'div',
    };
    return Sortable;
}(Component));
export { Sortable };
export default Sortable;
