import { __assign, __extends } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import { Children, Component } from 'react';
import cx from 'classnames';
import { isElement } from 'react-is';
var BreadcrumbSteps = (function (_super) {
    __extends(BreadcrumbSteps, _super);
    function BreadcrumbSteps() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onStepChange = function (id) {
            var onStepChange = _this.props.onStepChange;
            onStepChange && onStepChange(id);
        };
        return _this;
    }
    BreadcrumbSteps.prototype.render = function () {
        var _this = this;
        var props = this.props;
        var className = props.className, children = props.children, current = props.current, sequence = props.sequence, onStepChange = props.onStepChange, type = props.type;
        var stepWidth = 100 / Children.count(children) + "%";
        var isBreadcrumb = type === 'breadcrumb';
        var isCard = type === 'card';
        var isTabs = type === 'tabs';
        var stepsCls = cx('zent-steps', className, {
            'zent-steps-breadcrumb': isBreadcrumb,
            'zent-steps-card': isCard,
            'zent-steps-tabs': isTabs,
        });
        return (_jsx("div", __assign({ className: stepsCls, "data-zv": '9.12.16' }, { children: Children.map(children, function (item, index) {
                var stepClassName = cx('zent-steps-item', {
                    'zent-steps-item--finished': isBreadcrumb && index <= current - 1,
                    'zent-steps-item--current': (isCard || isTabs) && index === current - 1,
                    'zent-steps-item--clickable': Boolean(onStepChange),
                });
                if (!isElement(item)) {
                    return null;
                }
                var itemTitle = item.props.title;
                return (_jsx("div", __assign({ className: stepClassName, style: { width: stepWidth }, onClick: function () { return _this.onStepChange(index + 1); }, "data-zv": '9.12.16' }, { children: _jsx("div", __assign({ className: "zent-steps-step", "data-zv": '9.12.16' }, { children: sequence ? index + 1 + ". " + itemTitle : itemTitle }), void 0) }), void 0));
            }) }), void 0));
    };
    return BreadcrumbSteps;
}(Component));
export default BreadcrumbSteps;
