import { __assign, __extends } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Component } from 'react';
import classNames from 'classnames';
import Icon from '../../icon';
var Step = (function (_super) {
    __extends(Step, _super);
    function Step() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Step.prototype.render = function () {
        var props = this.props;
        var isCurrentStep = props.isCurrentStep, _a = props.status, status = _a === void 0 ? 'wait' : _a, isLastFinishStep = props.isLastFinishStep, stepLast = props.stepLast, stepNumber = props.stepNumber, title = props.title, description = props.description, sequence = props.sequence;
        var iconNode;
        if (status === 'finish') {
            iconNode = _jsx(Icon, { type: "check-circle-o" }, void 0);
        }
        else if (status === 'error') {
            iconNode = _jsx(Icon, { type: "error-circle" }, void 0);
        }
        else {
            iconNode = (_jsx("span", __assign({ className: "zent-icon zent-steps-sequence", "data-zv": '9.12.16' }, { children: sequence ? stepNumber : '' }), void 0));
        }
        var classString = classNames('zent-steps-item', "zent-steps-status-" + status, {
            'zent-steps-item--current': isCurrentStep,
            'zent-steps-item--last-finished': isLastFinishStep,
        });
        return (_jsxs("div", __assign({ className: classString, "data-zv": '9.12.16' }, { children: [!stepLast && (_jsx("div", __assign({ className: "zent-steps-tail", "data-zv": '9.12.16' }, { children: _jsx("i", { "data-zv": '9.12.16' }, void 0) }), void 0)), _jsxs("div", __assign({ className: "zent-steps-step", "data-zv": '9.12.16' }, { children: [_jsx("div", __assign({ className: "zent-step-head", "data-zv": '9.12.16' }, { children: _jsx("div", __assign({ className: "zent-step-head-inner", "data-zv": '9.12.16' }, { children: iconNode }), void 0) }), void 0), _jsxs("div", __assign({ className: "zent-step-main", "data-zv": '9.12.16' }, { children: [_jsx("div", __assign({ className: "zent-step-title", "data-zv": '9.12.16' }, { children: title }), void 0), description && (_jsx("div", __assign({ className: "zent-step-description", "data-zv": '9.12.16' }, { children: description }), void 0))] }), void 0)] }), void 0)] }), void 0));
    };
    Step.defaultProps = {
        description: '',
    };
    return Step;
}(Component));
export default Step;
