/// <reference types="react" />
import { ActionButtonClickHandler } from './ActionButton';
export declare namespace Sweetalert {
    interface IAlertOption {
        content?: React.ReactNode;
        type?: 'info' | 'success' | 'error' | 'warning';
        title?: React.ReactNode;
        onConfirm?: ActionButtonClickHandler;
        confirmText?: string;
        confirmType?: 'default' | 'primary' | 'danger' | 'success';
        closeBtn?: boolean;
        maskClosable?: boolean;
        parentComponent?: any;
        className?: string;
        onCancel?: ActionButtonClickHandler;
        onClose?: () => void;
    }
    interface IConfirmOption extends IAlertOption {
        cancelText?: React.ReactNode;
    }
}
export declare function alert(config?: Sweetalert.IAlertOption): any;
export declare const info: typeof alert;
export declare function confirm(config?: Sweetalert.IConfirmOption): any;
export declare const Sweetalert: {
    alert: typeof alert;
    info: typeof alert;
    confirm: typeof confirm;
};
export default Sweetalert;
