/// <reference types="react" />
import TabPanel from './components/TabPanel';
import { IInnerTab, ITabsProps, ITabPanelProps, ITab } from './types';
import BaseTabs from './components/base/BaseTabs';
export declare class Tabs<Id extends string | number = string> extends BaseTabs<Id, IInnerTab<Id>, ITabPanelProps<Id>, ITabsProps<Id>> {
    static TabPanel: typeof TabPanel;
    static defaultProps: Partial<ITabsProps<string>>;
    get tabsCls(): string;
    getTabDataListFromTabs(tabs: NonNullable<Array<ITab<Id>>>): Array<IInnerTab<Id>>;
    getTabDataListFromChildren(children: NonNullable<ITabsProps<Id>['children']>): Array<IInnerTab<Id>>;
    renderNav(tabDataList: Array<IInnerTab<Id>>): JSX.Element;
    renderTabPanel(tabItem: IInnerTab<Id>): JSX.Element;
}
export default Tabs;
