/// <reference types="react" />
import { IVerticalInnerTab, IVerticalTabsProps, IVerticalTab, IVerticalTabPanelProps } from './types';
import BaseTabs from './components/base/BaseTabs';
import TabDivide from './components/TabDivide';
import TabPanel from './components/TabPanel';
export declare class VerticalTabs<Id extends string | number = string> extends BaseTabs<Id, IVerticalInnerTab<Id>, IVerticalTabPanelProps<Id>, IVerticalTabsProps<Id>> {
    static TabPanel: typeof TabPanel;
    static Divide: typeof TabDivide;
    static defaultProps: Partial<IVerticalTabsProps<string>>;
    get tabsCls(): string;
    getTabDataListFromTabs(tabs: NonNullable<Array<IVerticalTab<Id>>>): Array<IVerticalInnerTab<Id>>;
    getTabDataListFromChildren(children: NonNullable<IVerticalTabsProps<Id>['children']>): Array<IVerticalInnerTab<Id>>;
    renderNav(tabDataList: Array<IVerticalInnerTab<Id>>): JSX.Element;
    renderTabPanel(tabItem: IVerticalInnerTab<Id>): JSX.Element;
}
export default VerticalTabs;
