import { PureComponent } from 'react';
import Popover, { IPositionFunction } from '../popover';
export interface ITimelineItemProps {
    size?: number;
    showLabel?: boolean;
    showDot?: boolean;
    color?: string;
    lineColor?: string;
    dotColor?: string;
    label?: React.ReactNode;
    tip?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    type?: 'vertical' | 'horizontal';
}
export declare class TimelineItem extends PureComponent<ITimelineItemProps> {
    static defaultProps: {
        showLabel: boolean;
        showDot: boolean;
        lineColor: string;
        dotColor: string;
    };
    popover: Popover | null;
    mousePosition: {
        x: number;
        y: number;
    };
    onMouseMove: (e: any) => void;
    position: IPositionFunction;
    popoverRef: (el: any) => any;
    render(): JSX.Element;
}
