import { PureComponent } from 'react';
import { TimelineItem, ITimelineItemProps } from './Item';
import { TimelineLegend } from './Dot';
export interface ITimelineArrayItem extends ITimelineItemProps {
    id?: string;
    percent?: number;
}
export interface ITimelineProps {
    size?: number | string;
    timeline?: ITimelineArrayItem[];
    type?: 'vertical' | 'horizontal';
    className?: string;
    style?: React.CSSProperties;
}
export declare class Timeline extends PureComponent<ITimelineProps> {
    static defaultProps: {
        type: string;
        size: string;
        style: {};
    };
    static Item: typeof TimelineItem;
    static Legend: typeof TimelineLegend;
    renderChildren(): any;
    render(): JSX.Element;
}
export default Timeline;
