function isValidDate(value) {
    return !Number.isNaN(+new Date(value));
}
export function getValidDate(date) {
    if (typeof date === 'undefined') {
        throw new Error('expects a date');
    }
    date = date || new Date();
    if (date instanceof Date) {
        return date;
    }
    if (typeof date === 'number') {
        if (isValidDate(date))
            date = new Date(date);
    }
    if (typeof date === 'string') {
        if (!isValidDate(date)) {
            date = date.replace(/-/g, '/');
        }
        if (isValidDate(date)) {
            date = new Date(date);
        }
    }
    return date;
}
