export function findPositionedParent(elem, inclusive) {
    if (inclusive === void 0) { inclusive = false; }
    function isPositioned(node) {
        var cs = getComputedStyle(node);
        var pos = cs.getPropertyValue('position');
        return pos && pos !== 'static';
    }
    if (!elem) {
        return null;
    }
    if (inclusive && isPositioned(elem)) {
        return elem;
    }
    for (var parent_1 = elem.parentElement; parent_1 !== null; parent_1 = parent_1.parentElement) {
        if (isPositioned(parent_1)) {
            return parent_1;
        }
    }
    return document.documentElement;
}
export default findPositionedParent;
