import capitalize from './capitalize';
import Popover from '../popover';
var Position = Popover.Position;
var Arrow = Position.Arrow;
export default function getPosition(position, centerArrow) {
    if (typeof position === 'function') {
        return position;
    }
    var positionName = position
        .split('-')
        .map(function (s) { return capitalize(s); })
        .join('');
    var pos = Position[positionName];
    if (!pos) {
        pos = Position.TopCenter;
        positionName = 'TopCenter';
    }
    if (!centerArrow || /^.+Center$/.test(positionName)) {
        return pos;
    }
    positionName = 'Arrow' + positionName + 'Position';
    return Arrow[positionName];
}
