---
order: 10
zh-CN:
	title: 聚合多个字段的错误
	required: 请填写内容
	noError: 这个字段不会展示它自己的错误
en-US:
	title: combine erros from multiple fields
	required: please fill in blanks
	noError: This field won't display its own error.
---

```jsx
import { FormInputField, Form, FormStrategy } from 'zent';

function App() {
	const form = Form.useForm(FormStrategy.View);
	return (
		<Form layout="horizontal" form={form}>
			<FormInputField
				name="field1"
				label="field1"
				required="{i18n.required}"
				helpDesc="{i18n.noError}"
				withoutError
			/>
			<FormInputField
				name="field2"
				label="field2"
				required="{i18n.required}"
			/>
			<Form.CombineErrors names={['field1', 'field2']} />
		</Form>
	);
}

ReactDOM.render(<App />, mountNode);
```
