---
order: 7
zh-CN:
	title: 大量数据
	placeholder: 选择一项
en-US:
	title: Tons of options
	placeholder: Select an option..
---

```js
import { Select } from 'zent';
import { FixedSizeList } from 'react-window';

const OPTIONS = Array(100000)
	.fill(null)
	.map((_, index) => ({
		key: String(index),
		text: `Option ${index}`,
	}));

function renderOptionList(options, renderOption) {
	return (
		<FixedSizeList
			height={8 * 32}
			itemCount={options.length}
			itemSize={32}
			width={240}
		>
			{({ index, style }) => (
				<div style={style}>{renderOption(options[index], index)}</div>
			)}
		</FixedSizeList>
	);
}

ReactDOM.render(
	<Select options={OPTIONS} placeholder="{i18n.placeholder}" renderOptionList={renderOptionList} />,
	mountNode
);
```
