---
order: 9
zh-CN:
	title: 自定义显示
	placeholder: 选择一项
en-US:
	title: Basic Usage
	placeholder: Select an option..
---

```js
import { Select } from 'zent';

const options = [
	{
		key: '1',
		text: 'Option 1',
	},
	{
		key: '2',
    text: 'Option 2',
    addition: '辅助信息',
	},
	{
		key: '3',
		text: 'Option 3',
	},
		{
		key: '4',
		text: 'Option 4',
	},
];

function renderOptionContent(item) {
  const { addition, text } = item;
  return <>{text}{addition && <span className="select-addition-demo">{addition}</span>}</>;
}

ReactDOM.render(
	<Select options={options} placeholder="{i18n.placeholder}" renderOptionContent={renderOptionContent} />,
	mountNode
);
```

<style>
	.select-addition-demo {
    color: #c8c9cc;
    margin-left: 8px;
	}
</style>
